class Datastore:
    def __init__(self):
        # 레지스터 데이터를 저장하는 딕셔너리
        self.data = {}
        # 레지스터 주소와 키의 매핑핑
        self.REGISTERS = {
            "file_number":30000,
            "record" : 1,
            "code" : 0x14,
        }

    def update_data(self,key,value):
        """레지스터 값 업데이트"""
        if key in self.REGISTERS:
            self.data[key] = value
            print(f"{key}값 업데이트: {value}")
        else:
            print(f"알 수 없는 키: {key}")

    def get_data(self, key):
        """레지스터 값 조회"""
        return self.data.get(key, None)

    def get_all_data(self):
        """모든 데이터 반환"""
        return self.data

# data 객체 생성
data_store = Datastore()
