from queue import Queue
from Console.Console import Console
from Console.Commands import Commands
from Manager.ModbusManager import ModbusManager


if __name__ == "__main__":
    consoleQueue = Queue()
    mbQueue = Queue()

    outQueues = {'Console': consoleQueue} # dictionary    
    # outQueues = {'Main': consoleQueue} # dictionary 

    mbManager = ModbusManager(mbQueue, outQueues)
    mbManager.Start()

    console = Console(consoleQueue, mbQueue)
    console.cmdloop()

    # commands = Commands('Main', consoleQueue, mbQueue)
    # result = commands.ReadFileRecord()
    # print(result)

