from flask_sqlalchemy import SQLAlchemy

db = SQLAlchemy()

class User(db.Model):
    id = db.Column(db.String(80), primary_key=True)  # 사용자 아이디
    password_hash = db.Column(db.String(128), nullable=False)  # 비밀번호 해시

    def __init__(self, id, password_hash):
        self.id = id
        self.password_hash = password_hash

    def is_authenticated(self):
        return True

    def is_active(self):
        return True

    def is_anonymous(self):
        return False

    def get_id(self):
        return self.id